org.eclipse.graphiti.mm.pictograms

## Interface Diagram

All Superinterfaces:
  AnchorContainer, ContainerShape, org.eclipse.emf.ecore.EObject, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PictogramElement, PropertyContainer, Shape, StyleContainer

All Known Implementing Classes:
  DiagramImpl

    public interface Diagram
    extends ContainerShape, StyleContainer

A representation of the model object 'Diagram'.

The following features are supported:

- `Grid Unit`
- `Diagram Type Id`
- `Connections`
- `Name`
- `Snap To Grid`
- `Colors`
- `Fonts`
- `Pictogram Links`
- `Vertical Grid Unit`
- `Version`

See Also:
  `PictogramsPackage.getDiagram()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Color>` `getColors()` Returns the value of the 'Colors' containment reference list.
`org.eclipse.emf.common.util.EList<Connection>` `getConnections()` Returns the value of the 'Connections' containment reference list.
`String` `getDiagramTypeId()` Returns the value of the 'Diagram Type Id' attribute.
`org.eclipse.emf.common.util.EList<Font>` `getFonts()` Returns the value of the 'Fonts' containment reference list.
`int` `getGridUnit()` Returns the value of the 'Grid Unit' attribute.
`String` `getName()` Returns the value of the 'Name' attribute.
`org.eclipse.emf.common.util.EList<PictogramLink>` `getPictogramLinks()` Returns the value of the 'Pictogram Links' reference list.
`String` `getVersion()` Returns the value of the 'Version' attribute.
`int` `getVerticalGridUnit()` Returns the value of the 'Vertical Grid Unit' attribute.
`boolean` `isSnapToGrid()` Returns the value of the 'Snap To Grid' attribute.
`void` `setDiagramTypeId(String value)` Sets the value of the '`Diagram Type Id`' attribute.
`void` `setGridUnit(int value)` Sets the value of the '`Grid Unit`' attribute.
`void` `setName(String value)` Sets the value of the '`Name`' attribute.
`void` `setSnapToGrid(boolean value)` Sets the value of the '`Snap To Grid`' attribute.
`void` `setVerticalGridUnit(int value)` Sets the value of the '`Vertical Grid Unit`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.ContainerShape

`getChildren`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Shape

`getContainer, setContainer`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.StyleContainer

`getStyles`

### Method Detail

#### getGridUnit

    int getGridUnit()

Returns the value of the 'Grid Unit' attribute.

If the meaning of the 'Grid Unit' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Grid Unit' attribute.
See Also:
  `setGridUnit(int)`, `PictogramsPackage.getDiagram_GridUnit()`

#### setGridUnit

    void setGridUnit(int value)

Sets the value of the '`Grid Unit`' attribute.

Parameters:
  `value` - the new value of the 'Grid Unit' attribute.
See Also:
  `getGridUnit()`

#### getDiagramTypeId

    String getDiagramTypeId()

Returns the value of the 'Diagram Type Id' attribute.

If the meaning of the 'Diagram Type Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Diagram Type Id' attribute.
See Also:
  `setDiagramTypeId(String)`, `PictogramsPackage.getDiagram_DiagramTypeId()`

#### setDiagramTypeId

    void setDiagramTypeId(String value)

Sets the value of the '`Diagram Type Id`' attribute.

Parameters:
  `value` - the new value of the 'Diagram Type Id' attribute.
See Also:
  `getDiagramTypeId()`

#### getConnections

    org.eclipse.emf.common.util.EList<Connection> getConnections()

Returns the value of the 'Connections' containment reference list. The list contents are of type `Connection`. It is bidirectional and its opposite is '`Parent`'.

If the meaning of the 'Connections' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Connections' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Connections()`, `Connection.getParent()`

#### getName

    String getName()

Returns the value of the 'Name' attribute.

If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Name' attribute.
See Also:
  `setName(String)`, `PictogramsPackage.getDiagram_Name()`

#### setName

    void setName(String value)

Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  `getName()`

#### isSnapToGrid

    boolean isSnapToGrid()

Returns the value of the 'Snap To Grid' attribute.

If the meaning of the 'Snap To Grid' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Snap To Grid' attribute.
See Also:
  `setSnapToGrid(boolean)`, `PictogramsPackage.getDiagram_SnapToGrid()`

#### setSnapToGrid

    void setSnapToGrid(boolean value)

Sets the value of the '`Snap To Grid`' attribute.

Parameters:
  `value` - the new value of the 'Snap To Grid' attribute.
See Also:
  `isSnapToGrid()`

#### getColors

    org.eclipse.emf.common.util.EList<Color> getColors()

Returns the value of the 'Colors' containment reference list. The list contents are of type `Color`.

If the meaning of the 'Colors' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Colors' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Colors()`

#### getFonts

    org.eclipse.emf.common.util.EList<Font> getFonts()

Returns the value of the 'Fonts' containment reference list. The list contents are of type `Font`.

If the meaning of the 'Fonts' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Fonts' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Fonts()`

#### getPictogramLinks

    org.eclipse.emf.common.util.EList<PictogramLink> getPictogramLinks()

Returns the value of the 'Pictogram Links' reference list. The list contents are of type `PictogramLink`.

If the meaning of the 'Pictogram Links' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Pictogram Links' reference list.
See Also:
  `PictogramsPackage.getDiagram_PictogramLinks()`

#### getVerticalGridUnit

    int getVerticalGridUnit()

Returns the value of the 'Vertical Grid Unit' attribute. The default value is `"-1"`.

If the meaning of the 'Vertical Grid Unit' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Vertical Grid Unit' attribute.
See Also:
  `setVerticalGridUnit(int)`, `PictogramsPackage.getDiagram_VerticalGridUnit()`

#### setVerticalGridUnit

    void setVerticalGridUnit(int value)

Sets the value of the '`Vertical Grid Unit`' attribute.

Parameters:
  `value` - the new value of the 'Vertical Grid Unit' attribute.
See Also:
  `getVerticalGridUnit()`

#### getVersion

    String getVersion()

Returns the value of the 'Version' attribute. The default value is `""`.

Returns:
  the value of the 'Version' attribute.
Since:
  0.9

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

See Also:
  `PictogramsPackage.getDiagram_Version()`